Bug 1034691 - Editing ESB interface removes service name
Summary: Editing ESB interface removes service name
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard Editor
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Brian Fitzpatrick
QA Contact: Matej Melko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-26 10:58 UTC by Andrej Podhradsky
Modified: 2016-01-06 11:46 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
If you attempt to edit a component service with an ESB interface by using the SwitchYard editor, it removes the service name. To workaround this issue, avoid editing services with ESB interfaces with the editor.
Clone Of:
Environment:
Last Closed: 2016-01-06 11:46:10 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1855 Major Closed Editing ESB interface removes service name 2016-01-06 11:45:50 UTC

Description Andrej Podhradsky 2013-11-26 10:58:09 UTC
Description of problem:
Editing ESB interface removes service name

Version-Release number of selected component (if applicable):
JBTIS-4.1.3.Beta5

How reproducible:
always

Steps to Reproduce:
1. Open properties for component service with ESB interface
2. Select Browse...
3. Edit configs or let them as they are
4. Press OK
5. Service name is empty

Actual results:


Expected results:


Additional info:

Comment 1 JBoss JIRA Server 2013-12-03 20:20:53 UTC
Rob Cernich <rcernich@redhat.com> updated the status of jira SWITCHYARD-1855 to Resolved

Comment 2 JBoss JIRA Server 2013-12-03 20:20:53 UTC
Rob Cernich <rcernich@redhat.com> made a comment on jira SWITCHYARD-1855

I believe this has been fixed.

Comment 3 JBoss JIRA Server 2013-12-03 20:23:33 UTC
Rob Cernich <rcernich@redhat.com> updated the status of jira SWITCHYARD-1855 to Reopened

Comment 4 JBoss JIRA Server 2014-06-16 23:50:54 UTC
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1855 to Closed

Comment 5 Andrej Podhradsky 2015-06-11 06:55:12 UTC
Verified with
JBDS 7.1.1.GA + JBDS-IS 7.1.0.GA (SwitchYard 1.1.6.v20140529-1852-H6-Final)
JBDS 8.1.0.GA + JBDS-IS 8.0.2.CR3 (SwitchYard 2.0.0.v20150602-2341-H560-Final)

Comment 8 Andrej Podhradsky 2016-01-06 11:46:10 UTC
Fixed and included in the latest release.


Note You need to log in before you can comment on or make changes to this bug.